Subject: bug#45214: guile segfaults on 32-bit big-endian targets

From: Efraim Flashner <[email-masked]>
Date: Thu, 25 Feb 2021 17:24:04 +0200

On Sat, Dec 12, 2020 at 11:02:47PM +0100, John Paul Adrian Glaubitz wrote:
> Hi!
> 
> On 12/12/20 11:00 PM, John David Anglin wrote:
> > Trying to bisect.
> 
> Bisecting lead me to this which I guess is just painting over the real
> problem:
> 
> (sid_powerpc-dchroot)glaubitz@perotto:~/guile-git$ git bisect good
> a68c80c747a2a8ec92fa84684ebd60b4ecb7ffa0 is the first bad commit
> commit a68c80c747a2a8ec92fa84684ebd60b4ecb7ffa0
> Author: Andy Wingo <[email-masked]>
> Date:   Mon May 11 15:22:29 2020 +0200
> 
>     Switch to baseline compiler for bootstrap/
> 
>     * bootstrap/Makefile.am (GUILE_OPTIMIZATIONS): Add -Ono-cps so that we
>       use the baseline compiler when bootstrapping.
> 
>  bootstrap/Makefile.am | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> (sid_powerpc-dchroot)glaubitz@perotto:~/guile-git$
> 

I came to the same conclusion when I tried to bisect the git repo
between 3.0.2 and 3.0.3 on my powerpc machine. By reverting that commit
I was able to build 44ad8fbde55df452ac1c88427662403e7af5b9bb (3.0.2-70,
6 commit later) but wasn't able to build 3.0.3. I started the build
without any precompiled bootstrap .go files.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted